=== debian/changelog ===
neutron (2:8.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/p/drop-ryu-dep.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 14:17:32 -0400

neutron (2:8.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/p/autogenerate-macvtap-agent-config-file.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:31:46 -0400

neutron (2:8.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ensure-tunnels-fully-reset.patch: Dropped. Fixed upstream.
  * d/p/*: Rebased.
  * d/p/skip-ryu-tests.patch: Skip ryu tests.
  * d/control, d/neutron-bgp-dragent.*: Add new binary package and install/init
    files for BGP Dynamic Routing agent.
  * d/control, d/neutron-macvtap-agent.*: Add new binary package and install/init
    files for Macvtap L2 Agent.
  * d/p/autogenerate-macvtap-agent-config-file.patch: Cherry-picked from upstream
    master to generate config file for Macvtap L2 Agent.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 15:11:31 -0500

neutron (2:8.0.0~b2-0ubuntu7) xenial; urgency=medium

  * d/rules: Ensure that neutron-linuxbridge-cleanup init configurations
    are installed in the correct package (LP: #1550004).

 -- James Page <james.page@ubuntu.com>  Fri, 26 Feb 2016 13:29:25 +0000

neutron (2:8.0.0~b2-0ubuntu6) xenial; urgency=medium

  * d/neutron-server.init.in: Restore missing source of
    /e/d/neutron-server prior to trying to configure daemon arguments
    (LP: #1549919).

 -- James Page <james.page@ubuntu.com>  Thu, 25 Feb 2016 18:12:27 +0000

neutron (2:8.0.0~b2-0ubuntu5) xenial; urgency=medium

  * d/control,neutron-plugin-openvswitch-agent.*: Add transitional package for
    upgrades, ensure that old init and upstart configurations are removed
    (LP: #1548242).
  * d/*.default,neutron-server.init.in: Revert commits which mistakenly
    tied ovs or linuxbridge agents to the neutron-server package (LP: #1548245).
  * d/control,neutron-{plugin-}linuxbridge-agent.*: Rename
    neutron-plugin-linuxbridge-agent -> neutron-linuxbridge-agent inline with
    other agent packages (LP: #1548244).
  * d/control: Add dependency on conntrack for openvswitch and linuxbridge
    packages (LP: #1514731).
  * d/control,*.install,*.init.in,*.service.in,*.update.in: Re-jig locations
    of ml2 plugin and associated agent files so that openvswitch, linuxbridge
    and sriov agents no longer need to include ml2_conf.ini (LP: #1527005).
  * d/control,neutron-{plugin-}sriov-agent.*: Rename
    neutron-plugin-sriov-agent -> neutron-sriov-agent inline with
    other agent packages (LP: #1548244).
  * d/tests/*: Refactor and reduce tests; ML2 is the only plugin now in neutron
    core, so no need to continue to carry infrastructure for testing other
    plugins.
  * d/control: Drop old Breaks/Replaces on quantum-* packages.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Feb 2016 13:47:02 +0000

neutron (2:8.0.0~b2-0ubuntu4) xenial; urgency=medium

  * d/tests/linuxbridge-plugin, d/neutron-plugin-linuxbridge-agent.default:
    Correct the linuxbridge config file.
  * d/tests/*: Loop to check daemon status instead of sleep.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 19 Feb 2016 08:11:38 -0500

neutron (2:8.0.0~b2-0ubuntu3) xenial; urgency=medium

  * d/tests/*: Adjust plugin tests to handle recent changes to /etc/default
    files.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Feb 2016 15:11:36 -0500

neutron (2:8.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/control: Set min version of python-debtcollector to 1.2.0 to fix failing
    tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Feb 2016 09:56:31 -0500

neutron (2:8.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/control: Set min version of python-debtcollector to 1.2.0 to fix failing
    tests.
  * d/control: Add git to build-depends for sphinx-build.
  * d/p/fix-db-migration.patch: Dropped. Fixed upstream.
  * d/rules: Generate config files with generate_config_file_samples.sh.
  * d/rules: Set PYTHONPATH when generating config files to pick up neutron
    entry points. Also drop .sample config file extensions.
  * d/rules, d/p/series: Apply fix-neutron-configuration.patch during
    override_dh_install.
  * d/rules: Drop unpatch of neutron configuration when running tests as
    configs are generated after tests are run.
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/p/fix-neutron-configuration.patch: Rebased.
  * d/tests/brocade-plugin, d/control, d/neutron-plugin-brocade.install:
    Drop brocade plugin as it's been moved out of neutron tree.
  * d/neutron-plugin-nuage.install, d/control:
    Drop nuage plugin as it's been moved out of neutron tree.
  * d/neutron-common.install: Drop install of usr/bin/neutron-dev-server as
    pecan server is launched via a config option now instead.
  * d/p/ensure-tunnels-fully-reset.patch: Cherry-picked from upstream master.
  * d/control, d/rules, d/neutron-(plugin-)openvswitch-agent*: Rename
    neutron-plugin-openvswitch-agent to neutron-openvswitch-agent
    (LP: #1321257).
  * d/control, d/neutron-server.*, d/neutron-openvswitch-agent.default,
    d/neutron-plugin-linuxbridge-agent.default: Add neutron-plugin-agent
    virtual package, drop neutron-server.default and add corresponding
    neutron-*-agent.default files with corresponding NEUTRON_PLUGIN_CONFIG
    values (LP: #1243352).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 16:21:10 -0500

neutron (2:8.0.0~b1-0ubuntu2) xenial; urgency=medium

  * d/p/fix-db-migration.patch: Fix db migration failure noted in
    http://paste.openstack.org/show/480820/.


