=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     git,
                     python-cliff (>= 1.15.0),
                     python-coverage (>= 3.6),
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron-lib (>= 0.0.1),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openvswitch (>= 2.4.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.12.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
XS-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: neutron-plugin-ml2,
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends: adduser,
         ipset,
         python-neutron (= ${source:Version}),
         python-neutron-fwaas,
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
        neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Replaces: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
          neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 0.6),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-l3-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         python-neutron-fwaas (>= 2015.1~b3),
         radvd,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: dnsmasq-base,
         dnsmasq-utils,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 0.0.1),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-openvswitch (>= 2.4.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.12.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ryu (>= 3.23.2),
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: Neutron is a virtual network service for Openstack - Python library
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python library.

Package: neutron-plugin-ml2
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-openvswitch-agent
Architecture: all
Depends: conntrack,
         neutron-common (= ${source:Version}),
         openvswitch-switch,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
        neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
          neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
