=== debian/tests/control ===
Tests: neutron-server python-neutron neutron-agents
Depends: neutron-server, rabbitmq-server, mysql-server
Restrictions: needs-root allow-stderr
