=== debian/changelog ===
neutron (2:8.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:42:25 +0000

neutron (2:8.1.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix FTBFS in Jessie (Closes: #827737).
  * Fix neutron-metadata server templates.
  * Removed Return_oslo_config_Opts_to_config_generator.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 10:30:16 +0200

neutron (2:8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821050).
  * Updated Dutch translation for debconf messages (Closes: #822965).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 11:22:30 +0200

neutron (2:8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 18:29:42 +0200

neutron (2:8.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Added missing copyright holders (Closes: #816208).
  * Failed tests fails the build.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:07:40 +0200

neutron (2:8.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:50:43 +0000

neutron (2:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed ryu version to 3.30, since I could upload it to Experimental after
    current maintainer agreed with team maintenance.
  * Added missing runtime depends: q-text-as-data.
  * Rebuild with newer oslo.config.
  * Added Return_oslo_config_Opts_to_config_generator.patch to avoid warnings.
  * Standards-Version: 3.9.7 (no change).
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 14:46:45 +0100

neutron (2:8.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 20:40:19 +0800

neutron (2:8.0.0~b2-4) experimental; urgency=medium

  [ Thomas Goirand ]
  * Added a neutron-sriov-agent package.
  * Added Ivan in the upload list.

  [ Ivan Udovichenko]
  * d/neutron-openvswitch-agent.upstart.in: Remove legacy custom Upstart script.
  * d/neutron-linuxbridge-agent.init.in d/neutron-openvswitch-agent.init.in:
      Add custom ML2 config files instead of the default one (LP: #1527005).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Feb 2016 14:15:35 +0000

neutron (2:8.0.0~b2-3) experimental; urgency=medium

  * Bumped EPOCH to align with Ubuntu.
  * Allow unit test to fail, because they do in Trusty.
  * Do not -X/usr/bin when calling dh_install.
  * Fixed auth_protocol to be http and not https by default.
  * Drop Provides: argparse (Closes: #810728).
  * neutron-linuxbridge-agent Breaks + Replaes older neutron-common
    (Closes: #813068).
  * New pt_BR.po debconf translation (Closes: #811530).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jan 2016 07:34:12 +0000

neutron (1:8.0.0~b2-2) experimental; urgency=medium

  * Fixed config file generation.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 15:23:22 +0000

neutron (1:8.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depeneds for this release.
  * Rebased better-config-defaults.patch.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/source/options.
  * Did some cleanups in debian/rules.
  * Using oslo-config-generator to generate config files, as upstream moved to
    use that as well.
  * export OSLO_PACKAGE_VERSION now compatible with Trusty version of dpkg.
  * Fixed debian/copyright.
  * Fixed too long lines in long description.
  * Removed all shlibs:Depends from debian/control.
  * Removed neutron-common.links (for symlink to /var/lib/quantum).
  * Fails build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2015 09:03:42 +0100
