=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Gustavo Panizzo <gfa@zumbi.com.ar>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bridge-utils,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-gflags,
                     python-greenlet,
                     python-hacking,
                     python-httplib2,
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:4.1.0),
                     python-neutron-lib,
                     python-novaclient (>= 2:2.30.1),
                     python-openvswitch,
                     python-os-testr (>= 0.4.2),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-pyudev,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-retrying,
                     python-routes,
                     python-ryu (>= 3.30),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-stevedore (>= 1.5.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         conntrack,
         iproute2,
         ipset,
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-gflags,
         python-greenlet,
         python-httplib2,
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 1:4.1.0),
         python-neutron-lib,
         python-novaclient (>= 2:2.30.1),
         python-openvswitch,
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-psycopg2,
         python-pymysql,
         python-pyudev,
         python-requests (>= 2.8.1),
         python-retrying,
         python-routes,
         python-ryu (>= 3.30),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         python-stevedore (>= 1.5.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy (>= 1.0.12),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Depends: adduser,
         debconf,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Recommends: openvswitch-switch,
Conflicts: neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: adduser,
         dnsmasq-base (>= 2.63),
         dnsmasq-utils (>= 2.63),
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends: openvswitch-switch (>= 1.9),
Replaces: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: neutron-plugin-openvswitch-agent,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Recommends: openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent
